summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2011-02-21 16:01:44 +1100
committerAndrew Bartlett <abartlet@samba.org>2011-02-22 16:20:10 +1100
commita82d9e4e72d624916b1e12393a73a4d79ae080d2 (patch)
tree91b8a2ad1beec40bc7c9fac497b80be0ded13b26 /source3/script
parent0b066b88dfbcc612089cdb5d971b7bb1bb7542ed (diff)
downloadsamba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.tar.gz
samba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.tar.bz2
samba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.zip
s3-selftest convert tests.sh to python
This should allow us a much better chance of invoking the subunit wrappers in the right way, at the right level. Andrew Bartlett
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/test_net_misc.sh11
-rwxr-xr-xsource3/script/tests/test_net_registry.sh12
-rwxr-xr-xsource3/script/tests/test_net_registry_roundtrip.sh11
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_s3.sh24
-rwxr-xr-xsource3/script/tests/test_posix_s3.sh99
-rwxr-xr-xsource3/script/tests/test_smbclient_auth.sh26
-rwxr-xr-xsource3/script/tests/test_smbclient_s3.sh26
-rwxr-xr-xsource3/script/tests/test_smbtorture_s3.sh39
-rwxr-xr-xsource3/script/tests/test_testparm_s3.sh9
-rwxr-xr-xsource3/script/tests/test_wbinfo_s3.sh45
-rw-r--r--source3/script/tests/tests_smbclient_s3.sh1
11 files changed, 92 insertions, 211 deletions
diff --git a/source3/script/tests/test_net_misc.sh b/source3/script/tests/test_net_misc.sh
index 5257830030..015b5026a7 100755
--- a/source3/script/tests/test_net_misc.sh
+++ b/source3/script/tests/test_net_misc.sh
@@ -2,6 +2,17 @@
# various tests for the "net" command
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_net_misc.sh SCRIPTDIR SERVERCONFFILE CONFIGURATION
+EOF
+exit 1;
+fi
+
+SCRIPTDIR="$1"
+SERVERCONFFILE="$2"
+CONFIGURATION="$3"
+
NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"
NETTIME="${NET} time"
diff --git a/source3/script/tests/test_net_registry.sh b/source3/script/tests/test_net_registry.sh
index 45f4dd09cc..21c452d6e1 100755
--- a/source3/script/tests/test_net_registry.sh
+++ b/source3/script/tests/test_net_registry.sh
@@ -7,7 +7,17 @@
#
# rpc tests are chose by specifying "rpc" as commandline parameter.
-RPC="$1"
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_net_registry.sh SCRIPTDIR SERVERCONFFILE CONFIGURATION RPC
+EOF
+exit 1;
+fi
+
+SCRIPTDIR="$1"
+SERVERCONFFILE="$2"
+CONFIGURATION="$3"
+RPC="$4"
NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"
diff --git a/source3/script/tests/test_net_registry_roundtrip.sh b/source3/script/tests/test_net_registry_roundtrip.sh
index 88919ec93c..52ce192af4 100755
--- a/source3/script/tests/test_net_registry_roundtrip.sh
+++ b/source3/script/tests/test_net_registry_roundtrip.sh
@@ -5,6 +5,17 @@
# Copyright (C) 2010 Gregor Beck <gbeck@sernet.de>
# Copyright (C) 2011 Michael Adam <obnox@samba.org>
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_net_registry_roundtrip.sh SCRIPTDIR SERVERCONFFILE CONFIGURATION
+EOF
+exit 1;
+fi
+
+SCRIPTDIR="$1"
+SERVERCONFFILE="$2"
+CONFIGURATION="$3"
+
NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"
diff --git a/source3/script/tests/test_ntlm_auth_s3.sh b/source3/script/tests/test_ntlm_auth_s3.sh
index 17aabef98e..4f84982503 100755
--- a/source3/script/tests/test_ntlm_auth_s3.sh
+++ b/source3/script/tests/test_ntlm_auth_s3.sh
@@ -1,5 +1,17 @@
#!/bin/sh
+if [ $# -lt 2 ]; then
+cat <<EOF
+Usage: test_ntlm_auth_s3.sh PYTHON SRC3DIR
+EOF
+exit 1;
+fi
+
+PYTHON=$1
+SRC3DIR=$2
+shift 2
+ADDARGS="$*"
+
test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
incdir=`dirname $0`/../../../testprogs/blackbox
. $incdir/subunit.sh
@@ -7,17 +19,9 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-(/usr/bin/env python --version > /dev/null 2>&1)
-
-if test $? -ne 0;
-then
- echo "Python binary not found in path. Skipping ntlm_auth tests."
- exit 0
-fi
-
-testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth --configfile=$CONFFILE || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS || failed=`expr $failed + 1`
# This should work even with NTLMv2
-testit "ntlm_auth" $VALGRIND $SRCDIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth --configfile=$CONFFILE --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
deleted file mode 100755
index 69c71fd2d4..0000000000
--- a/source3/script/tests/test_posix_s3.sh
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/sh
-
-# this runs the file serving tests that are expected to pass with samba3
-
-if [ $# -lt 3 ]; then
-cat <<EOF
-Usage: test_posix_s3.sh UNC USERNAME PASSWORD <first> <smbtorture args>
-EOF
-exit 1;
-fi
-
-unc="$1"
-username="$2"
-password="$3"
-start="$4"
-shift 4
-ADDARGS="$*"
-
-test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
-incdir=`dirname $0`/../../../testprogs/blackbox
-. $incdir/subunit.sh
-}
-
-base="base.attr base.charset base.chkpath base.defer_open base.delaywrite base.delete"
-base="$base base.deny1 base.deny2 base.deny3 base.denydos base.dir1 base.dir2"
-base="$base base.disconnect base.fdpass base.lock"
-base="$base base.mangle base.negnowait base.ntdeny1"
-base="$base base.ntdeny2 base.open base.openattr base.properties base.rename base.rw1"
-base="$base base.secleak base.tcon base.tcondev base.trans2 base.unlink base.vuid"
-base="$base base.xcopy base.samba3error"
-
-raw="raw.acls raw.chkpath raw.close raw.composite raw.context raw.eas"
-raw="$raw raw.ioctl raw.lock raw.mkdir raw.mux raw.notify raw.open raw.oplock"
-raw="$raw raw.qfileinfo raw.qfsinfo raw.read raw.rename raw.search raw.seek"
-raw="$raw raw.sfileinfo.base raw.sfileinfo.bug raw.streams raw.unlink raw.write"
-raw="$raw raw.samba3hide raw.samba3badpath raw.sfileinfo.rename"
-raw="$raw raw.samba3caseinsensitive raw.samba3posixtimedlock"
-raw="$raw raw.samba3rootdirfid raw.sfileinfo.end.of.file"
-
-smb2="smb2.lock smb2.read smb2.compound smb2.connect smb2.scan smb2.scanfind"
-smb2="$smb2 smb2.bench.oplock"
-
-rpc="rpc.authcontext rpc.samba3.bind rpc.samba3.srvsvc rpc.samba3.sharesec"
-rpc="$rpc rpc.samba3.spoolss rpc.samba3.wkssvc rpc.samba3.winreg"
-rpc="$rpc rpc.samba3.getaliasmembership.0"
-rpc="$rpc rpc.samba3.netlogon rpc.samba3.sessionkey rpc.samba3.getusername"
-rpc="$rpc rpc.svcctl rpc.ntsvcs rpc.winreg rpc.eventlog"
-rpc="$rpc rpc.spoolss.printserver rpc.spoolss.win rpc.spoolss.notify rpc.spoolss.printer"
-rpc="$rpc rpc.spoolss.driver"
-rpc="$rpc rpc.lsa.getuser rpc.lsa.lookupsids rpc.lsa.lookupnames"
-rpc="$rpc rpc.lsa.privileges "
-rpc="$rpc rpc.samr rpc.samr.users rpc.samr.users.privileges rpc.samr.passwords"
-rpc="$rpc rpc.samr.passwords.pwdlastset rpc.samr.large.dc rpc.samr.machine.auth"
-rpc="$rpc rpc.netlogon.s3 rpc.netlogon.admin"
-rpc="$rpc rpc.schannel rpc.schannel2 rpc.bench.schannel1 rpc.join rpc.bind rpc.epmapper"
-
-local="local.nss.wrapper local.ndr"
-
-winbind="winbind.struct winbind.wbclient"
-
-rap="rap.basic rap.rpc rap.printing rap.sam"
-
-unix="unix.info2 unix.whoami"
-
-tests="$base $raw $smb2 $rpc $unix $local $winbind $rap"
-
-if test "x$POSIX_SUBTESTS" != "x" ; then
- tests="$POSIX_SUBTESTS"
-fi
-
-ADDARGS="$ADDARGS --option=torture:sharedelay=100000"
-#ADDARGS="$ADDARGS --option=torture:writetimeupdatedelay=500000"
-
-failed=0
-for t in $tests; do
- if [ ! -z "$start" -a "$start" != $t ]; then
- continue;
- fi
- start=""
- name="$t"
- if [ "$t" = "base.delaywrite" ]; then
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS --maximum-runtime=900 $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
- elif [ "$t" = "unix.whoami" ]; then
- #"Testing with guest-enabled share"
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"guest -U"$username"%"$password" $t || failed=`expr $failed + 1`
- else
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
- fi
- if [ "$t" = "raw.chkpath" ]; then
- echo "Testing with case sensitive"
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"case -U"$username"%"$password" $t || failed=`expr $failed + 1`
- fi
- if [ "$t" = "unix.whoami" ]; then
- echo "Testing with guest-enabled share"
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS "$unc"guest -U"$username"%"$password" $t || failed=`expr $failed + 1`
- fi
-done
-
-testok $0 $failed
diff --git a/source3/script/tests/test_smbclient_auth.sh b/source3/script/tests/test_smbclient_auth.sh
index dab914a61c..7ee60b03c2 100755
--- a/source3/script/tests/test_smbclient_auth.sh
+++ b/source3/script/tests/test_smbclient_auth.sh
@@ -2,9 +2,9 @@
# this runs the file serving tests that are expected to pass with samba3 against shares with various options
-if [ $# -lt 5 ]; then
+if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD USERID LOCAL_PATH
+Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD <smbclient arguments>
EOF
exit 1;
fi
@@ -13,10 +13,8 @@ SERVER="$1"
SERVER_IP="$2"
USERNAME="$3"
PASSWORD="$4"
-USERID="$5"
-SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient} $CONFIGURATION"
-WBINFO="$VALGRIND ${WBINFO:-$BINDIR/wbinfo}"
-shift 5
+SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient}"
+shift 4
ADDARGS="$*"
test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
@@ -26,13 +24,13 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-testit "smbclient //$SERVER/guestonly" $SMBCLIENT //$SERVER/guestonly $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/guestonly as anon" $SMBCLIENT //$SERVER/guestonly $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/tmpguest" $SMBCLIENT //$SERVER/tmpguest $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/tmpguest as anon" $SMBCLIENT //$SERVER/tmpguest $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/forceuser" $SMBCLIENT //$SERVER/forceuser $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/forceuser as anon" $SMBCLIENT //$SERVER/forceuser $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/forcegroup" $SMBCLIENT //$SERVER/forcegroup $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
-testit "smbclient //$SERVER/forcegroup as anon" $SMBCLIENT //$SERVER/forcegroup $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/guestonly" $SMBCLIENT //$SERVER/guestonly $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/guestonly as anon" $SMBCLIENT //$SERVER/guestonly $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/tmpguest" $SMBCLIENT //$SERVER/tmpguest $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/tmpguest as anon" $SMBCLIENT //$SERVER/tmpguest $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/forceuser" $SMBCLIENT //$SERVER/forceuser $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/forceuser as anon" $SMBCLIENT //$SERVER/forceuser $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/forcegroup" $SMBCLIENT //$SERVER/forcegroup $CONFIGURATION -U$USERNAME%$PASSWORD -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
+testit "smbclient //$SERVER/forcegroup as anon" $SMBCLIENT //$SERVER/forcegroup $CONFIGURATION -U% -I $SERVER_IP -N -p 139 -c quit $ADDARGS|| failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index 1335a37cef..8ae8ef2514 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -16,7 +16,7 @@ PASSWORD="$4"
USERID="$5"
LOCAL_PATH="$6"
PREFIX="$7"
-SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient} $CONFIGURATION"
+SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient}"
WBINFO="$VALGRIND ${WBINFO:-$BINDIR/wbinfo}"
shift 7
ADDARGS="$*"
@@ -33,7 +33,7 @@ test_noninteractive_no_prompt()
{
prompt="smb"
- cmd='echo du | $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS 2>&1'
+ cmd='echo du | $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS 2>&1'
eval echo "$cmd"
out=`eval $cmd`
@@ -66,7 +66,7 @@ du
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -104,7 +104,7 @@ posix_unlink newname
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -144,7 +144,7 @@ del slink
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -210,7 +210,7 @@ mkdir a_test_dir
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U% //$SERVER/ro-tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U% //$SERVER/ro-tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -267,7 +267,7 @@ get unreadable_file
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U% //$SERVER/ro-tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U% //$SERVER/ro-tmp -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -306,7 +306,7 @@ ls msdfs-target
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/msdfs-share -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/msdfs-share -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -335,7 +335,7 @@ ls msdfs-target
quit
EOF
- cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT $CONFIGURATION "$@" -U$USERNAME%$PASSWORD //$SERVER/msdfs-share -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
+ cmd='CLI_FORCE_INTERACTIVE=yes $SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/msdfs-share -I $SERVER_IP $ADDARGS < $tmpfile 2>&1'
eval echo "$cmd"
out=`eval $cmd`
ret=$?
@@ -366,7 +366,7 @@ EOF
test_ccache_access()
{
$WBINFO --ccache-save="${USERNAME}%${PASSWORD}"
- $SMBCLIENT $CONFIGURATION //$SERVER_IP/tmp -C -U "${USERNAME}%" \
+ $SMBCLIENT //$SERVER_IP/tmp -C -U "${USERNAME}%" \
-c quit 2>&1
ret=$?
@@ -377,7 +377,7 @@ test_ccache_access()
fi
$WBINFO --ccache-save="${USERNAME}%GarBage"
- $SMBCLIENT $CONFIGURATION //$SERVER_IP/tmp -C -U "${USERNAME}%" \
+ $SMBCLIENT //$SERVER_IP/tmp -C -U "${USERNAME}%" \
-c quit 2>&1
ret=$?
@@ -402,8 +402,8 @@ done
LOGDIR=$(mktemp -d --tmpdir=$PREFIX ${LOGDIR_PREFIX}_XXXX)
-testit "smbclient -L $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
-testit "smbclient -L $SERVER -I $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER -I $SERVER_IP -N -p 139 -c quit || failed=`expr $failed + 1`
+testit "smbclient -L $SERVER_IP" $SMBCLIENT -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
+testit "smbclient -L $SERVER -I $SERVER_IP" $SMBCLIENT -L $SERVER -I $SERVER_IP -N -p 139 -c quit || failed=`expr $failed + 1`
testit "noninteractive smbclient does not prompt" \
test_noninteractive_no_prompt || \
diff --git a/source3/script/tests/test_smbtorture_s3.sh b/source3/script/tests/test_smbtorture_s3.sh
index c9466e921d..ca64fa283d 100755
--- a/source3/script/tests/test_smbtorture_s3.sh
+++ b/source3/script/tests/test_smbtorture_s3.sh
@@ -2,17 +2,17 @@
# this runs the file serving tests that are expected to pass with samba3
-if [ $# -lt 3 ]; then
+if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_smbtorture_s3.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+Usage: test_smbtorture_s3.sh TEST UNC USERNAME PASSWORD <smbtorture args>
EOF
exit 1;
fi
-unc="$1"
-username="$2"
-password="$3"
-start="$4"
+t="$1"
+unc="$2"
+username="$3"
+password="$4"
shift 4
ADDARGS="$*"
@@ -21,32 +21,9 @@ incdir=`dirname $0`/../../../testprogs/blackbox
. $incdir/subunit.sh
}
-SMB_CONF_PATH="$CONFFILE"
-export SMB_CONF_PATH
-
-tests="FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7 LOCK9"
-#tests="$tests UNLINK BROWSE ATTR TRANS2 MAXFID TORTURE "
-tests="$tests UNLINK BROWSE ATTR TRANS2 TORTURE "
-tests="$tests OPLOCK1 OPLOCK2 OPLOCK3 OPLOCK4 STREAMERROR"
-tests="$tests DIR DIR1 DIR-CREATETIME TCON TCONDEV RW1 RW2 RW3 RW-SIGNING"
-tests="$tests OPEN XCOPY RENAME DELETE DELETE-LN PROPERTIES W2K"
-tests="$tests TCON2 IOCTL CHKPATH FDSESS LOCAL-SUBSTITUTE CHAIN1"
-tests="$tests GETADDRINFO POSIX UID-REGRESSION-TEST SHORTNAME-TEST"
-tests="$tests LOCAL-BASE64 LOCAL-GENCACHE POSIX-APPEND"
-tests="$tests LOCAL-string_to_sid"
-
-if test "x$SMBTORTURE_S3_SUBTESTS" != "x" ; then
- tests="$SMBTORTURE_S3_SUBTESTS"
-fi
+
failed=0
-for t in $tests; do
- if [ ! -z "$start" -a "$start" != $t ]; then
- continue;
- fi
- start=""
- name="$t"
- testit "$name" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
-done
+testit "smbtorture" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/test_testparm_s3.sh b/source3/script/tests/test_testparm_s3.sh
index 0fd1a57c2b..bced6e7e19 100755
--- a/source3/script/tests/test_testparm_s3.sh
+++ b/source3/script/tests/test_testparm_s3.sh
@@ -5,6 +5,15 @@
# The main purpose (for now) is to test all the special handlers
# and the macro expansions.
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_net_registry_roundtrip.sh LOCAL_PATH
+EOF
+exit 1;
+fi
+
+LOCAL_PATH="$1"
+
TEMP_CONFFILE=${LOCAL_PATH}/smb.conf.tmp
TESTPARM="$VALGRIND ${TESTPARM:-$BINDIR/testparm} --suppress-prompt --skip-logic-checks"
diff --git a/source3/script/tests/test_wbinfo_s3.sh b/source3/script/tests/test_wbinfo_s3.sh
index a63bcba794..860e7c5afc 100755
--- a/source3/script/tests/test_wbinfo_s3.sh
+++ b/source3/script/tests/test_wbinfo_s3.sh
@@ -1,17 +1,12 @@
#!/bin/sh
-if [ $# -lt 4 ]; then
+if [ $# -lt 1 ]; then
cat <<EOF
-Usage: test_wbinfo_s3.sh DOMAIN SERVER USERNAME PASSWORD <wbinfo args>
+Usage: test_wbinfo_s3.sh <wbinfo args>
EOF
exit 1;
fi
-domain="$1"
-server="$2"
-username="$3"
-password="$4"
-shift 4
ADDARGS="$*"
test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
@@ -19,40 +14,6 @@ incdir=`dirname $0`/../../../testprogs/blackbox
. $incdir/subunit.sh
}
-OLDIFS=$IFS;
-
-tests="--ping"
-tests="$tests:--separator"
-tests="$tests:--own-domain"
-tests="$tests:--all-domains"
-tests="$tests:--trusted-domains"
-tests="$tests:--domain-info=BUILTIN"
-tests="$tests:--domain-info=$domain"
-tests="$tests:--online-status"
-tests="$tests:--online-status --domain=BUILTIN"
-tests="$tests:--online-status --domain=$domain"
-tests="$tests:--check-secret --domain=$domain"
-tests="$tests:--change-secret --domain=$domain"
-tests="$tests:--check-secret --domain=$domain"
-tests="$tests:--online-status --domain=$domain"
-#Didn't pass yet# tests="$tests:--domain-users"
-tests="$tests:--domain-groups"
-tests="$tests:--name-to-sid=$username"
-#Didn't pass yet# tests="$tests:--user-info=$username"
-tests="$tests:--user-groups=$username"
-tests="$tests:--allocate-uid"
-tests="$tests:--allocate-gid"
-
-failed=0
-
-OLDIFS=$IFS
-NEWIFS=$':'
-IFS=$NEWIFS
-for t in $tests; do
- IFS=$OLDIFS
- testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $ADDARGS $t || failed=`expr $failed + 1`
- IFS=$NEWIFS
-done
-IFS=$OLDIFS
+testit "wbinfo" $VALGRIND $BINDIR/wbinfo $ADDARGS || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/tests_smbclient_s3.sh b/source3/script/tests/tests_smbclient_s3.sh
deleted file mode 100644
index 5dbcd436f5..0000000000
--- a/source3/script/tests/tests_smbclient_s3.sh
+++ /dev/null
@@ -1 +0,0 @@
-. $SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP $USERNAME $PASSWORD $USERID $LOCAL_PATH